
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #721

tags not updated until folder renamed

May 03, 2017 10:32 - Liviu Andronic

Status: Rejected Start date: May 03, 2017

Priority: Minor Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Affects version: 3.9   

Description

I seem to encounter this issue with FLAC files:

If I modify the FLAG tags in EasyTAG, save the files, click on Refresh library in Audacious; however the tags will still not show as

updated in Audacious.

I tried doing this with Audacious closed, opening/closing Audacious, to no apparent success. The only thing that will force the Library

to update the tags seems to be renaming the folder containing the FLAC files.

Would there be a way to make sure that updated tags are automatically detected?  (Using GIT code.)

History

#1 - May 03, 2017 14:21 - John Lindgren

Did you refresh the playlist (F5) or just scan for new files?

#2 - May 03, 2017 19:42 - Liviu Andronic

I scanned for new files, then closed the playlist and created a new one. The changes are not mirrored either in the Library pane or in the new playlist.

#3 - May 03, 2017 23:55 - John Lindgren

Did you refresh the playlist (F5)?

#4 - May 04, 2017 08:47 - Liviu Andronic

I've now tried F5 and it works, partly. When I do F5 the correct tags are being retrieved and populated in the album playlist. However, this doesn't

seem to affect the Library pane at all. Whether I search or create a new playlist, the old tags are still being used.

Things are different though if I do F5 in the Library tab (which I now realize is what you were probably enquiring all along). F5 in Library tab has fixed

the tags in the Library pane. Is this something that could be triggered automatically along with clicking the Library Refresh button?

#5 - May 04, 2017 14:53 - John Lindgren

- Status changed from New to Rejected

They are separate commands because refreshing all the metadata involves reading every file and is a much slower operation than just checking for

new files.

What we really need is a user manual, not sure how many people would read it though since you all seem to conclude that anything you can't

immediately figure out must be a bug.

Closing.
#6 - May 04, 2017 15:02 - Liviu Andronic

This is most certainly a bug, even if it were documented, as Audacious doesn't correctly detect changes in its Library.

They are separate commands because refreshing all the metadata involves reading every file and is a much slower operation than just checking

for new files.

 

Perhaps the way to approach this would be for Audacious to check time stamps in addition to path changes. This way the F5 operation can be run

only on folders that include files that have been changed since the last scan.

#7 - May 04, 2017 18:28 - John Lindgren

Liviu Andronic wrote:

This is most certainly a bug, even if it were documented, as Audacious doesn't correctly detect changes in its Library.

 

No, this is the way it is designed to work.
